Subject: Re: Document ordering guarantees on INSERT/UPDATE RETURNING clause

From: "David G. Johnston" <[email-masked]>
Date: Sat, 26 Feb 2022 06:25:22 -0700

On Sat, Feb 26, 2022 at 5:42 AM Shay Rojansky <[email-masked]> wrote:

> FWIW I've received feedback from a SQL Server engineer that one definitely
> should *not* depend on such ordering there, and that future optimizations
> (e.g. parallel insertion of many rows) could result in row ordering which
> differs from the lexical ordering of the VALUES clause.
>

> That seems very reasonable; if the situation is similar on PostgreSQL,
> then I'd suggest making that very clear in the INSERT[2] and UPDATE[3] docs.
>

There is clearly no mention of such a guarantee in our documentation.

David J.